<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$sortId = 9;
$toolId = \ToolsAPI::TOOL_TN;

$settingsArray = array();

$subGroup = 'Dokumenten-Übersicht';

$setting = new Setting();
$setting->name = 'reiterDokumenteGroupByFach';
$setting->description = 'Dokumente nach Fach gruppieren';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'reiterDokumenteGroupByPerson';
$setting->description = 'Dokumente nach (KuferTools-) Ersteller gruppieren';
$setting->help = '';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnPlanMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den planenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn keine E-Mail an den planenden, verwaltenden oder verantwortenden Mitarbeiter gesendet wird, '
  . 'erfolgt der Versand an die E-Mail-Adresse der Schulungseinrichtung.';
$setting->subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnVerwMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den verwaltenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn keine E-Mail an den planenden, verwaltenden oder verantwortenden Mitarbeiter gesendet wird, '
  . 'erfolgt der Versand an die E-Mail-Adresse der Schulungseinrichtung.';
$setting->subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailAnVerantwMa';
$setting->description = 'Bei Dateiupload eine E-Mail an den verantwortenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn keine E-Mail an den planenden, verwaltenden oder verantwortenden Mitarbeiter gesendet wird, '
  . 'erfolgt der Versand an die E-Mail-Adresse der Schulungseinrichtung.';
$setting->subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailEinrichtung';
$setting->description = 'Ziel-E-Mail-Adresse';
$setting->help = 'Wenn der Haken weder für den verwaltenden noch für den planenden Mitarbeiter gesetzt ist, '
        . 'erfolgt der Versand an die angegebene E-Mail Adresse. Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, '
        . 'die unter <a href="?action=settings&hardlink=file_system_schulungseinrichtung">Einstellungen / System / Daten der Einrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung</a> angegeben ist.';
$setting->subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'dokumenteUploadInfoMailMitAnhang';
$setting->description = 'Hochgeladenes Dokument im Anhang der E-Mail mitsenden';
$setting->help = '';
$setting->subGroup = 'Einstellungen für das Senden einer Benachrichtigungs-E-Mail zum Hochladen von Dokumenten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);